upgrading from v1.0.1-auto.0 to v1.0.1



  • Trying to upgrade as stated in the topic, receiving this error:

    Error: Cannot find module 'ip'

    Any ideas?

    Thanks, Len



  • Try npm install ip then upgrade again



  • Did that successfully. Upgrade seemed to go ok, then received these errors trying to start nodebb, it's like the upgrade script didn't work: ( Can I reinstall the latest version of nodebb, and have it keep my setup, users, posts etc., or does a clean install initialize Mongodb?)

    Starting NodeBB
    "./nodebb stop" to stop the NodeBB server
    "./nodebb log" to view server output
    "./nodebb restart" to restart NodeBB

    ljhardy@firehole:~/www/nodebb/nodebb$ ./nodebb log

    Type Ctrl-C to exit

    Clustering enabled: Spinning up 1 process(es).

    27/3 10:24 [20828] - info: Time: Sun Mar 27 2016 10:24:35 GMT-0500 (CDT)
    27/3 10:24 [20828] - info: Initializing NodeBB v1.0.2
    27/3 10:24 [20828] - warn: You have no mongo password setup!
    27/3 10:24 [20828] - info: [database] Checking database indices.
    [outdated] html-to-text installed v1.5.0, package.json requires 2.0.0
    27/3 10:24 [20828] - warn: One or more of NodeBB's dependent packages are out-of-date. Please run the following command to update them:
    27/3 10:24 [20828] - warn: ./nodebb upgrade
    [cluster] Child Process (20828) has exited (code: 0, signal: null)


Log in to reply
 

Looks like your connection to NodeBB was lost, please wait while we try to reconnect.